<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'assetdocs',

    /*
     * Package.
     */
    'package'   => 'purchaserequest',

    /*
     * Modules.
     */
    'modules'   => ['purchaserequest'],

    /*
     * Image size.
     */
    'image'    => [
        'xs' => [
            'width'     => '60',
            'height'    => '45',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],
        'sm' => [
            'width'     => '160',
            'height'    => '120',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],
        'md' => [
            'width'     => '460',
            'height'    => '345',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],
        'lg' => [
            'width'     => '800',
            'height'    => '600',
            'action'    => 'resize',
            'watermark' => 'img/logo/default.png',
        ],
        'xl' => [
            'width'     => '1000',
            'height'    => '750',
            'action'    => 'resize',
            'watermark' => 'img/logo/default.png',
        ],
    ],

    'purchaserequest'       => [
        'model'             => 'Assetdocs\Purchaserequest\Models\Purchaserequest',
        'table'             => 'purchaserequests',
        'presenter'         => \Assetdocs\Purchaserequest\Repositories\Presenter\PurchaserequestItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'upload_folder', 'id',  'user_id',  'request_no',  'asset_id',  'asset_name',  'job_priority',  'requested_by',  'status',  'request_date',  'time',  'job_description',  'admin_remarks',  'workorder_no',  'workorder_date',  'workorder_status',  'created_at',  'updated_at',  'deleted_at'],
        'translate'         => ['id',  'user_id',  'request_no',  'asset_id',  'asset_name',  'job_priority',  'requested_by',  'status',  'request_date',  'time',  'job_description',  'admin_remarks',  'workorder_no',  'workorder_date',  'workorder_status',  'created_at',  'updated_at',  'deleted_at'],

        'upload-folder'     => '/uploads/purchaserequest/purchaserequest',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],
];
