<?php

use Illuminate\Database\Migrations\Migration;

class CreatePurchaserequestsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: purchaserequests
         */
        Schema::create('purchaserequests', function ($table) {
            $table->increments('id');
            $table->string('request_no', 255)->nullable();
            $table->integer('asset_id')->nullable();
            $table->string('asset_name', 255)->nullable();
            $table->enum('job_priority', ['Urgent','Normal'])->nullable();
            $table->integer('requested_by')->nullable();
            $table->enum('status', ['Requested','Pending','Completed','Closed By Admin'])->nullable();
            $table->date('request_date')->nullable();
            $table->time('time')->nullable();
            $table->text('job_description')->nullable();
            $table->text('admin_remarks')->nullable();
            $table->integer('workorder_no')->nullable();
            $table->date('workorder_date')->nullable();
            $table->text('workorder_status')->nullable();
            $table->string('slug', 200)->nullable();
            $table->enum('status', ['draft', 'published', 'hidden', 'suspended', 'spam'])->default('draft')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('purchaserequests');
    }
}
