@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('purchaserequest::purchaserequest.name') !!} <small> {!! trans('cms.manage') !!} {!! trans('purchaserequest::purchaserequest.names') !!}</small>
@stop

@section('title')
{!! trans('purchaserequest::purchaserequest.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="{!! trans_url('admin') !!}"><i class="fa fa-dashboard"></i> {!! trans('cms.home') !!} </a></li>
    <li class="active">{!! trans('purchaserequest::purchaserequest.names') !!}</li>
</ol>
@stop

@section('entry')
<div class="box box-warning" id='purchaserequest-purchaserequest-entry'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="purchaserequest-purchaserequest-list" class="table table-striped table-bordered data-table">
    <thead  class="list_head">
        <th>{!! trans('purchaserequest::purchaserequest.label.request_no')!!}</th>
        <th>{!! trans('purchaserequest::purchaserequest.label.asset_id')!!}</th>
        <th>{!! trans('purchaserequest::purchaserequest.label.asset_name')!!}</th>
        <th>{!! trans('purchaserequest::purchaserequest.label.job_priority')!!}</th>
        <th>{!! trans('purchaserequest::purchaserequest.label.requested_by')!!}</th>
        <th>{!! trans('purchaserequest::purchaserequest.label.status')!!}</th>
        <th>{!! trans('purchaserequest::purchaserequest.label.request_date')!!}</th>
        <th>{!! trans('purchaserequest::purchaserequest.label.time')!!}</th>
        <th>{!! trans('purchaserequest::purchaserequest.label.job_description')!!}</th>
        <th>{!! trans('purchaserequest::purchaserequest.label.admin_remarks')!!}</th>
        <th>{!! trans('purchaserequest::purchaserequest.label.workorder_no')!!}</th>
        <th>{!! trans('purchaserequest::purchaserequest.label.workorder_date')!!}</th>
        <th>{!! trans('purchaserequest::purchaserequest.label.workorder_status')!!}</th>
    </thead>
    <thead  class="search_bar">
        <th>{!! Form::text('search[request_no]')->raw()!!}</th>
        <th>{!! Form::numeric('search[asset_id]')->raw()!!}</th>
        <th>{!! Form::text('search[asset_name]')->raw()!!}</th>
        <th>{!! Form::select('search[job_priority]')->raw()!!}</th>
        <th>{!! Form::numeric('search[requested_by]')->raw()!!}</th>
        <th>{!! Form::select('search[status]')->raw()!!}</th>
        <th>{!! Form::date_picker('search[request_date]')->raw()!!}</th>
        <th>{!! Form::time_picker('search[time]')->raw()!!}</th>
        <th>{!! Form::text('search[job_description]')->raw()!!}</th>
        <th>{!! Form::text('search[admin_remarks]')->raw()!!}</th>
        <th>{!! Form::numeric('search[workorder_no]')->raw()!!}</th>
        <th>{!! Form::date_picker('search[workorder_date]')->raw()!!}</th>
        <th>{!! Form::text('search[workorder_status]')->raw()!!}</th>
    </thead>
</table>
@stop

@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    app.load('#purchaserequest-purchaserequest-entry', '{!!trans_url('admin/purchaserequest/purchaserequest/0')!!}');
    oTable = $('#purchaserequest-purchaserequest-list').dataTable( {
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! trans_url('/admin/purchaserequest/purchaserequest') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $('#purchaserequest-purchaserequest-list .search_bar input, #purchaserequest-purchaserequest-list .search_bar select').each(
                function(){
                    aoData.push( { 'name' : $(this).attr('name'), 'value' : $(this).val() } );
                }
            );
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'request_no'},
                    {data :'asset_id'},
                    {data :'asset_name'},
                    {data :'job_priority'},
                    {data :'requested_by'},
                    {data :'status'},
                    {data :'request_date'},
                    {data :'time'},
                    {data :'job_description'},
                    {data :'admin_remarks'},
                    {data :'workorder_no'},
                    {data :'workorder_date'},
                    {data :'workorder_status'},
        ],
        "pageLength": 25
    });

    $('#purchaserequest-purchaserequest-list tbody').on( 'click', 'tr', function () {

        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');

        var d = $('#purchaserequest-purchaserequest-list').DataTable().row( this ).data();

        $('#purchaserequest-purchaserequest-entry').load('{!!trans_url('admin/purchaserequest/purchaserequest')!!}' + '/' + d.id);
    });

    $("#purchaserequest-purchaserequest-list .search_bar input, #purchaserequest-purchaserequest-list .search_bar select").on('keyup select', function (e) {
        e.preventDefault();
        console.log(e.keyCode);
        if (e.keyCode == 13 || e.keyCode == 9) {
            oTable.api().draw();
        }
    });
});
</script>
@stop

@section('style')
@stop

