<?php

namespace Assetdocs\Purchaserequest\Http\Controllers;

use App\Http\Controllers\Controller as BaseController;
use Assetdocs\Purchaserequest\Interfaces\PurchaserequestRepositoryInterface;

class PurchaserequestController extends BaseController
{
    /**
     * Constructor.
     *
     * @param type \Assetdocs\Purchaserequest\Interfaces\PurchaserequestRepositoryInterface $purchaserequest
     *
     * @return type
     */
    public function __construct(PurchaserequestRepositoryInterface $purchaserequest)
    {
        $this->middleware('web');
        $this->setupTheme(config('theme.themes.public.theme'), config('theme.themes.public.layout'));

        $this->repository = $purchaserequest;
        parent::__construct();
    }

    /**
     * Show purchaserequest's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $purchaserequests = $this->repository
            ->pushCriteria(new \Assetdocs\Purchaserequest\Repositories\Criteria\PurchaserequestPublicCriteria())
            ->scopeQuery(function($query){
                return $query->orderBy('id','DESC');
            })->paginate();

        return $this->theme->of('purchaserequest::public.purchaserequest.index', compact('purchaserequests'))->render();
    }

    /**
     * Show purchaserequest.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $purchaserequest = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('purchaserequest::public.purchaserequest.show', compact('purchaserequest'))->render();
    }
}
