<?php

namespace Assetdocs\Purchaserequest\Policies;

use App\User;
use Illuminate\Auth\Access\HandlesAuthorization;
use Assetdocs\Purchaserequest\Models\Purchaserequest;

class PurchaserequestPolicy
{
    use HandlesAuthorization;

    /**
     * Determine if the given user can view the purchaserequest.
     *
     * @param User $user
     * @param Purchaserequest $purchaserequest
     *
     * @return bool
     */
    public function view(User $user, Purchaserequest $purchaserequest)
    {
        if ($user->canDo('purchaserequest.purchaserequest.view') && $user->is('admin')) {
            return true;
        }

        return $user->id === $purchaserequest->user_id;
    }

    /**
     * Determine if the given user can create a purchaserequest.
     *
     * @param User $user
     * @param Purchaserequest $purchaserequest
     *
     * @return bool
     */
    public function create(User $user)
    {
        return  $user->canDo('purchaserequest.purchaserequest.create');
    }

    /**
     * Determine if the given user can update the given purchaserequest.
     *
     * @param User $user
     * @param Purchaserequest $purchaserequest
     *
     * @return bool
     */
    public function update(User $user, Purchaserequest $purchaserequest)
    {
        if ($user->canDo('purchaserequest.purchaserequest.update') && $user->is('admin')) {
            return true;
        }

        return $user->id === $purchaserequest->user_id;
    }

    /**
     * Determine if the given user can delete the given purchaserequest.
     *
     * @param User $user
     * @param Purchaserequest $purchaserequest
     *
     * @return bool
     */
    public function destroy(User $user, Purchaserequest $purchaserequest)
    {
        if ($user->canDo('purchaserequest.purchaserequest.delete') && $user->is('admin')) {
            return true;
        }

        return $user->id === $purchaserequest->user_id;
    }

    /**
     * Determine if the user can perform a given action ve.
     *
     * @param [type] $user    [description]
     * @param [type] $ability [description]
     *
     * @return [type] [description]
     */
    public function before($user, $ability)
    {
        if ($user->isSuperUser()) {
            return true;
        }
    }
}
